GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::QueryPatient Class Reference

QueryPatient contains: class to construct a patient-based query for c-find and c-move. More...

`#include <gdcmQueryPatient.h>`

Inheritance diagram for gdcm::QueryPatient:
[legend]
Collaboration diagram for gdcm::QueryPatient:
[legend]

List of all members.

## Public Member Functions

std::string | GetName () const
std::vector< Tag > | GetOptionalTags (const ERootType &inRootType) const
DataElement | GetQueryLevel () const
std::vector< Tag > | GetRequiredTags (const ERootType &inRootType) const
std::vector< Tag > | GetUniqueTags (const ERootType &inRootType) const

## Detailed Description

QueryPatient contains: class to construct a patient-based query for c-find and c-move.

## Member Function Documentation

std::string gdcm::QueryPatient::GetName | ( |  | ) | const`[inline, virtual]`

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QueryPatient::GetOptionalTags | ( | const ERootType & | inRootType | ) | const`[virtual]`

Implements gdcm::QueryBase.

DataElement gdcm::QueryPatient::GetQueryLevel | ( |  | ) | const`[virtual]`

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QueryPatient::GetRequiredTags | ( | const ERootType & | inRootType | ) | const`[virtual]`

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QueryPatient::GetUniqueTags | ( | const ERootType & | inRootType | ) | const`[virtual]`

Implements gdcm::QueryBase.

The documentation for this class was generated from the following file:

- gdcmQueryPatient.h